package com.cusc.nirvana.user.rnr.customer.constants;

 /**
   * @author: jk
   * @description: 实名状态
   * @date: 2022/6/8 16:20
   * @version: 1.0
   */
public enum RnrStatusEnum {
    INIT(0, "未实名/初始化"),
    RNR(1, "已实名"),
    RNR_FAIL(2, "实名失败"),
    UNBOUND(3, "已解绑");


    private int code;
    private String comment;

    RnrStatusEnum(int code, String comment) {
        this.code = code;
        this.comment = comment;
    }

    public static RnrStatusEnum getEnumByCode(int code) {
        for (RnrStatusEnum sys : RnrStatusEnum.values()) {
            if (sys.getCode() == code) {
                return sys;
            }
        }
        return null;
    }

    public int getCode() {
        return code;
    }

    public String getComment() {
        return comment;
    }
}
