package com.cusc.nirvana.user.rnr.customer.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.auth.authentication.plug.user.UserSubjectUtil;
import com.cusc.nirvana.user.rnr.customer.service.IFileService;
import com.cusc.nirvana.user.rnr.fp.client.FileSystemClient;
import com.cusc.nirvana.user.rnr.fp.dto.FileDownloadDTO;
import com.cusc.nirvana.user.rnr.fp.dto.FileUploadDTO;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 图片处理
 * 图片处理放到user-rnr-fp中
 */
@RestController
@RequestMapping("/cuscImage")
public class CuscImageController {
    @Autowired
    private FileSystemClient fileSystemClient;

    @Autowired
    private IFileService fileService;

    @PostMapping("/upload")
    public Response upload(FileUploadDTO fileUploadDTO) {
//        //直接调用文件系统，可以参考com服务的文件上传
//        fileUploadDTO.setType("public");
//        if (StringUtils.isBlank(fileUploadDTO.getUserId())) {
//            fileUploadDTO.setUserId(UserSubjectUtil.getTenantNo());//水印使用
//        }
//        return fileSystemClient.uploadImage(fileUploadDTO);

		//文件大小必须大于0
		if (fileUploadDTO.getFile().getSize() < 1) {
			return Response.createError("文件内容不能为空");
		}

        return fileService.upload(fileUploadDTO);
    }


    /**
     * 文件下载
     *
     * @param fileDownloadDTO
     * @return
     */
    @PostMapping("/viewBase64")
    public Response viewBase64(@RequestBody FileDownloadDTO fileDownloadDTO) {
        if (fileDownloadDTO == null || StringUtils.isBlank(fileDownloadDTO.getUuid())) {
            Response.createError("参数uuid为空");
        }
        return fileSystemClient.getBase64(fileDownloadDTO);
    }
}
