package com.cusc.nirvana.user.rnr.customer.converter;

import com.cusc.nirvana.user.rnr.customer.dto.RnrInfoRespDTO;
import com.cusc.nirvana.user.rnr.customer.dto.RnrRecordRespDTO;
import com.cusc.nirvana.user.rnr.mg.constants.RnrStatus;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrCardInfoDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrInfoDTO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * Description: 实名记录转换器
 * <br />
 * CreateDate 2022-05-06 15:49:41
 *
 * @author yuyi
 **/
@Mapper
public interface RnrRecordConverter {

    RnrRecordConverter INSTANCE = Mappers.getMapper(RnrRecordConverter.class);

    /**
     * Description: card转
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    default List<RnrRecordRespDTO> cardListToRnrRecordList(List<MgRnrCardInfoDTO> list) {
        if (CollectionUtils.isEmpty(list)) {
            return null;
        }
        List<RnrRecordRespDTO> retList = new ArrayList<>();
        RnrRecordRespDTO record;
        for (MgRnrCardInfoDTO tmp : list) {
            record = new RnrRecordRespDTO();
            record.setVin(tmp.getIotId());
            record.setIccid(tmp.getIccid());
            record.setRnrId(tmp.getRnrId());
            record.setCardStatus(tmp.getRnrStatus());
            record.setCardStatusName(RnrStatus.getEnumByCode(tmp.getRnrStatus()).getComment());
            record.setCreateTime(tmp.getCreateTime());
            retList.add(record);
        }
        return retList;
    }

    /**
     * Description: info dto转换Resp
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    @Mappings({
            @Mapping(target = "rnrId", source = "uuid")
    })
    RnrInfoRespDTO rnrInfoToViewInfo(MgRnrInfoDTO bean);
}
