package com.cusc.nirvana.user.rnr.customer.dto;

import com.cusc.nirvana.user.rnr.customer.dto.groups.VehicleCardRnrGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

/**
 * Description: 剩余卡绑定DTO
 * <br />
 * CreateDate 2022-04-20 20:22:56
 *
 * @author yuyi
 **/
@Data
public class VehicleCardRnrDTO implements Serializable {

    private static final long serialVersionUID = -5712879585098743410L;

    @ApiModelProperty(value = "车辆VIN号")
    @NotBlank(message = "vin不能为空", groups = {VehicleCardRnrGroup.Query.class})
    private String vin;

    @ApiModelProperty(value = "实名id")
    @NotBlank(message = "实名id不能为空", groups = {VehicleCardRnrGroup.Submit.class})
    private String rnrId;

    @ApiModelProperty(value = "ICCID编码集合")
    @NotEmpty(message = "ICCID不能为空", groups = {VehicleCardRnrGroup.Submit.class})
    private List<String> iccidList;
}
