package com.cusc.nirvana.user.rnr.customer.service;

import com.cusc.nirvana.user.eiam.dto.UserDTO;

 /**
   * @author: jk
   * @date: 2022/6/8 9:28
   * @version: 1.0
   */
public interface IUserService {
	/**
	 * 获取用户的组织id
	 * @param userId 用户id
	 * @return
	 */
	String getOrganId(String userId,String tenantNo);

	/**
	 * 添加用户
	 * @param userId 用户id
	 * @param organId 组织id
	 * @param roleCode 角色code
	 */
	void addUserRelationRole(String userId, String organId, String roleCode);


	/**
	 * 获取角色id
	 * @param roleCode
	 * @return
	 */
	String getRoleId(String roleCode);


	/**
	 * 获取组织名称
	 * @param organId
	 * @return
	 */
	String getOrganName(String organId,String tenantNo);

	/**
	 * 根据号码查询用户
	 * @param phone
	 * @return
	 */
	UserDTO queryUserInInfoByPhone(String phone);

	/**
	 * 添加用户
	 * @param userDTO
	 * @return
	 */
	UserDTO addUser(UserDTO userDTO);

	/**
	 * 修改用户角色
	 * @param roleId
	 * @param userId
	 */
	void updateUserRole(String roleId, String userId);
}
