package com.cusc.nirvana.user.rnr.customer.util;

import org.apache.commons.lang3.StringUtils;

/**
 * 脱敏工具类
 *
 * @author yubo
 * @since 2022-05-03 10:26
 */
public class DesensitizationUtil {

    /**
     * 手机号脱敏
     *
     * @param phone
     * @return
     */
    public static String desensitizePhone(String phone) {
        if (StringUtils.isNotBlank(phone)) {
            return phone.replaceAll("(\\w{3})\\w{4}(\\w{4})", "$1****$2");
        }
        return phone;
    }

    /**
     * 姓名脱敏
     *
     * @param name
     * @return
     */
    public static String desensitizeName(String name) {
        if (StringUtils.isNotBlank(name)) {
            String left = StringUtils.left(name, 1);
            return StringUtils.rightPad(left, name.length(), "*");
        }
        return name;
    }
}
