package com.cusc.nirvana.user.rnr.customer;

import com.alibaba.fastjson.JSONObject;
import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.auth.client.CiamLoginClient;
import com.cusc.nirvana.user.auth.client.LoginClient;
import com.cusc.nirvana.user.auth.common.constants.UserTypeEnum;
import com.cusc.nirvana.user.auth.identification.dto.MobileLoginReq;
import com.cusc.nirvana.user.auth.identification.dto.Oauth2Token;
import com.cusc.nirvana.user.auth.identification.dto.SmsSendConfig;
import com.cusc.nirvana.user.rnr.customer.config.CustomerConfig;
import com.cusc.nirvana.user.rnr.customer.constants.CustomerConstant;
import com.cusc.nirvana.user.rnr.customer.constants.SmsConfigConstant;
import com.cusc.nirvana.user.rnr.customer.dto.RnrLoginReqDTO;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@Slf4j
@SpringBootTest(classes = LocalRnrCustomerApplication.class)
@RunWith(SpringRunner.class)
public class XiaminTest {
    @Autowired
    private CustomerConfig customerConfig;
    @Autowired
    private CiamLoginClient ciamLoginClient;

    @Autowired
    private LoginClient loginClient;

    @Test
    public void tset1(){
        MobileLoginReq mobileLogin = new MobileLoginReq();
        mobileLogin.setApplicationId(CustomerConstant.APP_ID);
        mobileLogin.setPhone("15803307104");
        mobileLogin.setTenantNo(customerConfig.getTenantNo());
        mobileLogin.setUserType(UserTypeEnum.CIAM.getCode());
        Response<Oauth2Token> response= ciamLoginClient.mobileLoginXP(mobileLogin);
        System.out.println(JSONObject.toJSONString(response));
    }

    @Test
    public void test2(){
        MobileLoginReq bean = new MobileLoginReq();
        bean.setApplicationId(CustomerConstant.APP_ID);
        bean.setCheckCaptchaImg(true);
        bean.setCaptchaExpire(SmsConfigConstant.SMS_CAPTCHA_EXPIRE_TIME);

        SmsSendConfig smsConfig = new SmsSendConfig();
        smsConfig.setStrategyCode(SmsConfigConstant.SMS_STRATEGY_CODE);
        smsConfig.setSmsTemplateCode(SmsConfigConstant.SMS_TEMPLATE_CODE);
        bean.setSmsSendConfig(smsConfig);
        bean.setUserType(UserTypeEnum.CIAM.getCode());
        bean.setPhone("15803307104");
        //允许没注册校验
        bean.setLoginType("allow");
        log.info("getSms request = {}", JSONObject.toJSONString(bean));
        Response<Object> response = loginClient.sendSmsCaptchaNew(bean);
        System.out.println(JSONObject.toJSONString(response));
    }

    @Test
    public void test3(){
        System.out.println("sdsdsd");
    }
}
